## aegisub-dmo 3.2.2~20181123.git2cb92a5f74

=== automation/Makefile ===
include $(dir $(lastword $(MAKEFILE_LIST)))../header.mk

DATA_AUTOMATION := \
	$(sort $(wildcard $(d)autoload/*)) \
	$(sort $(wildcard $(d)demos/*)) \
	$(sort $(wildcard $(d)include/*.lua)) \
	$(sort $(wildcard $(d)include/aegisub/*))

DATA_AUTOMATION_REL := $(subst $(d),,$(DATA_AUTOMATION))
DATA_AUTOMATION_INSTALLED = $(addprefix $(DESTDIR)$(P_DATA)/automation/, $(DATA_AUTOMATION_REL))

$(DESTDIR)$(P_DATA)/automation/%: $(d)%
	$(MKDIR_INSTALL)

aegisub-lua_OBJ := $(d)tests/aegisub.o $(TOP)lib/libaegisub.a $(TOP)lib/libluabins.a $(LIBS_LUA)
aegisub-lua_CPPFLAGS := $(CPPFLAGS_BOOST) $(CFLAGS_LUA) -I$(TOP)libaegisub/include -I$(TOP)src $(CXXFLAGS_WX)
aegisub-lua_LIBS := $(LIBS_WX) $(LIBS_BOOST) $(LIBS_ICU) $(LIBS_PTHREAD)

PROGRAM += $(d)aegisub-lua

test-automation: $(PROGRAM)
	eval `luarocks path`; cd $(TOP)automation; ./aegisub-lua tests/busted.lua -p 'moon' tests/modules

test: test-automation

install: $(DATA_AUTOMATION_INSTALLED)

include $(TOP)Makefile.target

=== libaegisub/Makefile ===
include $(dir $(lastword $(MAKEFILE_LIST)))../header.mk

aegisub_OBJ := \
	$(d)common/parser.o \
	$(d)ass/dialogue_parser.o \
	$(d)ass/time.o \
	$(d)ass/uuencode.o \
	$(patsubst %.cpp,%.o,$(sort $(wildcard $(d)audio/*.cpp))) \
	$(patsubst %.cpp,%.o,$(sort $(wildcard $(d)common/cajun/*.cpp))) \
	$(patsubst %.cpp,%.o,$(sort $(wildcard $(d)lua/modules/*.cpp))) \
	$(patsubst %.c,%.o,$(sort $(wildcard $(d)lua/modules/*.c))) \
	$(patsubst %.cpp,%.o,$(sort $(wildcard $(d)lua/*.cpp))) \
	$(patsubst %.cpp,%.o,$(sort $(wildcard $(d)unix/*.cpp))) \
	$(d)common/calltip_provider.o \
	$(d)common/character_count.o \
	$(d)common/charset.o \
	$(d)common/charset_6937.o \
	$(d)common/charset_conv.o \
	$(d)common/color.o \
	$(d)common/file_mapping.o \
	$(d)common/format.o \
	$(d)common/fs.o \
	$(d)common/hotkey.o \
	$(d)common/io.o \
	$(d)common/json.o \
	$(d)common/kana_table.o \
	$(d)common/karaoke_matcher.o \
	$(d)common/keyframe.o \
	$(d)common/line_iterator.o \
	$(d)common/log.o \
	$(d)common/mru.o \
	$(d)common/option.o \
	$(d)common/option_value.o \
	$(d)common/path.o \
	$(d)common/thesaurus.o \
	$(d)common/util.o \
	$(d)common/vfr.o \
	$(d)common/ycbcr_conv.o

ifeq (yes, $(BUILD_DARWIN))
aegisub_OBJ += $(patsubst %.mm,%.o,$(sort $(wildcard $(d)osx/*.mm)))
else
aegisub_OBJ += $(d)common/dispatch.o
endif

aegisub_PCH := $(d)lagi_pre.h
aegisub_CPPFLAGS := -I$(d)include -I$(TOP) $(CPPFLAGS_BOOST) $(CFLAGS_LUA) $(CFLAGS_PTHREAD)

$(d)common/charset.o_FLAGS := $(CFLAGS_UCHARDET)
$(d)common/charset_conv.o_FLAGS := $(CFLAGS_ICONV)
$(d)common/parser.o_FLAGS := -ftemplate-depth=256
$(d)unix/path.o_FLAGS := -DP_DATA=\"$(P_DATA)\"

LIB += aegisub

include $(TOP)Makefile.target

=== src/Makefile ===
include $(dir $(lastword $(MAKEFILE_LIST)))../header.mk

PROGRAM += $(d)src

src_CPPFLAGS := -I$(d) -I.. -I$(d)include -I$(TOP)libaegisub/include -I$(TOP)build \
	$(CFLAGS_PTHREAD) $(CFLAGS_FFTW3) $(CFLAGS_ICU) $(CPPFLAGS_BOOST)
src_CXXFLAGS := $(CXXFLAGS_WX)
src_LIBS := $(LIBS_GL) $(LIBS_PTHREAD) $(LIBS_WX) $(LIBS_FREETYPE) \
	$(LIBS_LIBASS) $(LIBS_FONTCONFIG) $(LIBS_FFTW3)  $(LIBS_BOOST) $(LIBS_ICU)
src_PCH := $(d)agi_pre.h
src_INSTALLNAME := $(AEGISUB_COMMAND)

src_OBJ := \
	$(patsubst %.cpp,%.o,$(sort $(wildcard $(d)command/*.cpp))) \
	$(patsubst %.cpp,%.o,$(sort $(wildcard $(d)dialog_*.cpp))) \
	$(patsubst %.cpp,%.o,$(sort $(wildcard $(d)subtitle_format*.cpp))) \
	$(patsubst %.cpp,%.o,$(sort $(wildcard $(d)visual_tool*.cpp))) \
	$(d)MatroskaParser.o \
	$(d)aegisublocale.o \
	$(d)ass_attachment.o \
	$(d)ass_dialogue.o \
	$(d)ass_entry.o \
	$(d)ass_export_filter.o \
	$(d)ass_exporter.o \
	$(d)ass_file.o \
	$(d)ass_karaoke.o \
	$(d)ass_override.o \
	$(d)ass_parser.o \
	$(d)ass_style.o \
	$(d)ass_style_storage.o \
	$(d)async_video_provider.o \
	$(d)audio_box.o \
	$(d)audio_colorscheme.o \
	$(d)audio_controller.o \
	$(d)audio_display.o \
	$(d)audio_karaoke.o \
	$(d)audio_marker.o \
	$(d)audio_player.o \
	$(d)audio_provider_factory.o \
	$(d)audio_renderer.o \
	$(d)audio_renderer_spectrum.o \
	$(d)audio_renderer_waveform.o \
	$(d)audio_timing_dialogue.o \
	$(d)audio_timing_karaoke.o \
	$(d)auto4_base.o \
	$(d)auto4_lua.o \
	$(d)auto4_lua_assfile.o \
	$(d)auto4_lua_dialog.o \
	$(d)auto4_lua_progresssink.o \
	$(d)avisynth_wrap.o \
	$(d)base_grid.o \
	$(d)charset_detect.o \
	$(d)colorspace.o \
	$(d)colour_button.o \
	$(d)compat.o \
	$(d)context.o \
	$(d)crash_writer.o \
	$(d)export_fixstyle.o \
	$(d)export_framerate.o \
	$(d)fft.o \
	$(d)font_file_lister.o \
	$(d)frame_main.o \
	$(d)gl_text.o \
	$(d)gl_wrap.o \
	$(d)grid_column.o \
	$(d)help_button.o \
	$(d)hotkey.o \
	$(d)hotkey_data_view_model.o \
	$(d)initial_line_state.o \
	$(d)main.o \
	$(d)menu.o \
	$(d)mkv_wrap.o \
	$(d)pen.o \
	$(d)persist_location.o \
	$(d)preferences.o \
	$(d)preferences_base.o \
	$(d)project.o \
	$(d)resolution_resampler.o \
	$(d)search_replace_engine.o \
	$(d)selection_controller.o \
	$(d)spellchecker.o \
	$(d)spline.o \
	$(d)spline_curve.o \
	$(d)string_codec.o \
	$(d)subs_controller.o \
	$(d)subs_edit_box.o \
	$(d)subs_edit_ctrl.o \
	$(d)subs_preview.o \
	$(d)subtitles_provider.o \
	$(d)subtitles_provider_libass.o \
	$(d)text_file_reader.o \
	$(d)text_file_writer.o \
	$(d)text_selection_controller.o \
	$(d)thesaurus.o \
	$(d)timeedit_ctrl.o \
	$(d)toggle_bitmap.o \
	$(d)toolbar.o \
	$(d)tooltip_manager.o \
	$(d)utils.o \
	$(d)validators.o \
	$(d)vector2d.o \
	$(d)version.o \
	$(d)video_box.o \
	$(d)video_controller.o \
	$(d)video_display.o \
	$(d)video_frame.o \
	$(d)video_out_gl.o \
	$(d)video_provider_cache.o \
	$(d)video_provider_dummy.o \
	$(d)video_provider_manager.o \
	$(d)video_provider_yuv4mpeg.o \
	$(d)video_slider.o \
	$(d)visual_feature.o \
	$(LIBS_LUA) \
	$(TOP)lib/libaegisub.a \
	$(TOP)lib/libluabins.a \
	$(TOP)lib/libresrc.a \

ifeq (yes, $(BUILD_DARWIN))
src_OBJ += $(d)font_file_lister_coretext.o
src_OBJ += $(patsubst %.mm,%.o,$(sort $(wildcard $(d)osx/*.mm)))
$(d)font_file_lister_coretext.o_FLAGS := -fobjc-arc
else
src_OBJ += $(d)font_file_lister_fontconfig.o
endif

###############
# AUDIO PLAYERS
###############
$(d)audio_player_alsa.o_FLAGS      := $(CFLAGS_ALSA)
$(d)audio_player_portaudio.o_FLAGS := $(CFLAGS_PORTAUDIO)
$(d)audio_player_pulse.o_FLAGS     := $(CFLAGS_LIBPULSE)
$(d)audio_player_openal.o_FLAGS    := $(CFLAGS_OPENAL)
$(d)audio_player_oss.o_FLAGS       := $(CFLAGS_OSS)

ifeq (yes, $(HAVE_ALSA))
src_LIBS += $(LIBS_ALSA)
src_OBJ += $(d)audio_player_alsa.o
endif

ifeq (yes, $(HAVE_PORTAUDIO))
src_LIBS += $(LIBS_PORTAUDIO)
src_OBJ += $(d)audio_player_portaudio.o
endif

ifeq (yes, $(HAVE_LIBPULSE))
src_LIBS += $(LIBS_LIBPULSE)
src_OBJ += $(d)audio_player_pulse.o
endif

ifeq (yes, $(HAVE_OPENAL))
src_LIBS += $(LIBS_OPENAL)
src_OBJ += $(d)audio_player_openal.o
endif

ifeq (yes, $(HAVE_OSS))
src_OBJ += $(d)audio_player_oss.o
endif

#######################
# AUDIO / VIDEO SUPPORT
#######################
ifeq (yes, $(HAVE_FFMS2))
$(d)audio_provider_ffmpegsource.o_FLAGS := $(CFLAGS_FFMS2)
$(d)video_provider_ffmpegsource.o_FLAGS := $(CFLAGS_FFMS2)
$(d)ffmpegsource_common.o_FLAGS         := $(CFLAGS_FFMS2)
$(d)preferences.o_FLAGS                 := $(CFLAGS_FFMS2)
src_LIBS += $(LIBS_FFMS2)
src_OBJ += \
	$(d)audio_provider_ffmpegsource.o \
	$(d)video_provider_ffmpegsource.o \
	$(d)ffmpegsource_common.o
endif

##############
# MISCELLANOUS
##############
ifeq (yes, $(HAVE_HUNSPELL))
$(d)spellchecker_hunspell.o_FLAGS := $(CFLAGS_HUNSPELL)
src_LIBS += $(LIBS_HUNSPELL)
src_OBJ += $(d)spellchecker_hunspell.o
endif

ifeq (yes, $(HAVE_UCHARDET))
src_LIBS += $(LIBS_UCHARDET)
endif

#####################
# SOURCE-LEVEL CFLAGS
#####################
$(d)MatroskaParser.o_FLAGS              := -Wno-sometimes-uninitialized
$(d)audio_player.o_FLAGS                := $(CFLAGS_ALSA) $(CFLAGS_PORTAUDIO) $(CFLAGS_LIBPULSE) $(CFLAGS_OPENAL)
$(d)audio_provider_factory.o_FLAGS      := $(CFLAGS_FFMS2)
$(d)auto4_base.o_FLAGS                  := $(CFLAGS_FREETYPE)
$(d)charset_detect.o_FLAGS              := -D_X86_
$(d)font_file_lister_fontconfig.o_FLAGS := $(CFLAGS_FONTCONFIG)
$(d)subtitles_provider.o_FLAGS          := $(CFLAGS_LIBASS)
$(d)subtitles_provider_libass.o_FLAGS   := $(CFLAGS_LIBASS) -Wno-c++11-narrowing
$(d)text_file_reader.o_FLAGS            := -D_X86_
$(d)video_provider_manager.o_FLAGS      := $(CFLAGS_FFMS2)
$(d)auto4_lua.o_FLAGS                   := $(CFLAGS_LUA)
$(d)auto4_lua_assfile.o_FLAGS           := $(CFLAGS_LUA)
$(d)auto4_lua_dialog.o_FLAGS            := $(CFLAGS_LUA)
$(d)auto4_lua_progresssink.o_FLAGS      := $(CFLAGS_LUA)

$(src_OBJ): $(d)libresrc/bitmap.h $(d)libresrc/default_config.h

include $(d)libresrc/Makefile

=== tests/Makefile ===
include $(dir $(lastword $(MAKEFILE_LIST)))../header.mk

GTEST_ROOT ?= $(TOP)vendor/googletest
GTEST_FILE := ${GTEST_ROOT}/src/gtest-all

run_PCH := $(d)support/tests_pre.h
run_CPPFLAGS := -I$(TOP)libaegisub/include -I$(TOP) -I$(d)support \
	-I$(GTEST_ROOT) -I$(GTEST_ROOT)/include $(CPPFLAGS_BOOST) $(CFLAGS_LUA)
run_CXXFLAGS := -Wno-unused-value -Wno-sign-compare
run_LIBS := $(LIBS_BOOST) $(LIBS_ICU) $(LIBS_UCHARDET) $(LIBS_PTHREAD)
run_OBJ := \
	$(patsubst %.cpp,%.o,$(wildcard $(d)tests/*.cpp)) \
	$(d)support/main.o \
	$(d)support/util.o \
	$(TOP)lib/libaegisub.a \
	$(GTEST_FILE).o

# This bit of goofiness is to make it only try to build the tests if google
# test can be found and silently skip it if not, by using $(wildcard) to check
# for file existence
PROGRAM += $(subst $(GTEST_FILE).cc,$(d)run,$(wildcard $(GTEST_FILE).cc))

ifeq (yes, $(BUILD_DARWIN))
run_LIBS += -framework ApplicationServices -framework Foundation
endif

$(d)data: $(d)setup.sh
	cd $(TOP)tests; ./setup.sh

gtest_filter ?= *
test-libaegisub: $(d)run $(d)data
	cd $(TOP)tests; ./run --gtest_filter="$(gtest_filter)"

test: $(subst $(GTEST_FILE).cc,test-libaegisub,$(wildcard $(GTEST_FILE).cc))

include $(TOP)Makefile.target

=== tools/Makefile ===
include $(dir $(lastword $(MAKEFILE_LIST)))../header.mk

osx-bundle-restart-helper_OBJ := $(d)osx-bundle-restart-helper.o

ifeq (yes, $(BUILD_DARWIN))
PROGRAM += $(d)osx-bundle-restart-helper
endif

repack-thes-dict_OBJ  := $(d)repack-thes-dict.o $(TOP)lib/libaegisub.a
repack-thes-dict_LIBS := $(LIBS_BOOST) $(LIBS_ICU) $(LIBS_PTHREAD)
repack-thes-dict_CPPFLAGS := -I$(TOP) -I$(TOP)libaegisub/include $(CFLAGS_ICU)

PROGRAM += $(d)repack-thes-dict

$(TOP)tools/respack.lua: $(shell command -v "$(BIN_LUA)")

include $(TOP)Makefile.target

=== packages/desktop/Makefile ===
include $(dir $(lastword $(MAKEFILE_LIST)))../../header.mk
DESKTOP_SRC := $(d)

ICONS = $(sort $(wildcard $(d)*.png)) $(sort $(wildcard $(d)*.svg))
ICONS_INSTALLED = $(DESTDIR)$(P_ICON)/hicolor/%/apps/aegisub.

DESKTOP_FILE := $(d)aegisub.desktop
DESKTOP_FILE_PO := $(d)../../po
DESKTOP_FILE_INSTALLED = $(DESTDIR)$(P_DESKTOP)/$(notdir $(DESKTOP_FILE))

DISTCLEANFILES += $(DESKTOP_FILE)

%.desktop: %.desktop.template $(DESKTOP_FILE_PO)
	intltool-merge --quiet --desktop-style $(DESKTOP_FILE_PO) $< $@

$(ICONS_INSTALLED)png: $(d)%.png	; $(MKDIR_INSTALL)
$(ICONS_INSTALLED)svg: $(d)%.svg	; $(MKDIR_INSTALL)
$(DESKTOP_FILE_INSTALLED): $(DESKTOP_FILE)	; $(MKDIR_INSTALL)

ifneq (yes, $(BUILD_DARWIN))
install: \
	$(DESKTOP_FILE_INSTALLED) \
	$(patsubst %.png, $(ICONS_INSTALLED)png, $(patsubst %.svg, $(ICONS_INSTALLED)svg, $(notdir $(ICONS))))
endif

include $(TOP)Makefile.target

=== src/libresrc/Makefile ===
include $(dir $(lastword $(MAKEFILE_LIST)))../../header.mk

LIB += resrc

resrc_CPPFLAGS := -I$(TOP) -I$(d) $(CPPFLAGS_WX)
resrc_OBJ := \
	$(d)bitmap.o \
	$(d)default_config.o \
	$(d)libresrc.o

$(resrc_OBJ): $(d)default_config.h $(d)bitmap.h $(d)default_config.cpp $(d)bitmap.cpp

RESPACK := cd $(TOP)src/libresrc; $(BIN_LUA) $(TOP)tools/respack.lua

$(d)bitmap.cpp: $(d)bitmap.h
$(d)default_config.cpp: $(d)default_config.h

$(d)bitmap.h: $(TOP)tools/respack.lua $(d)../bitmaps/button
	$(RESPACK) ../bitmaps/manifest.respack bitmap.cpp bitmap.h

ifeq (yes, $(BUILD_DARWIN))
$(d)default_config.h: $(TOP)tools/respack.lua $(d)*.json $(d)osx/*.json
	$(RESPACK) manifest_osx.respack default_config.cpp default_config.h
else
$(d)default_config.h: $(TOP)tools/respack.lua $(d)*.json
	$(RESPACK) manifest.respack default_config.cpp default_config.h
endif

CLEANFILES += \
	$(d)bitmap.cpp \
	$(d)bitmap.h \
	$(d)default_config.cpp \
	$(d)default_config.h

DISTCLEANFILES += $(d)default_config_platform.json

include $(TOP)Makefile.target

=== vendor/luabins/Makefile ===
include $(dir $(lastword $(MAKEFILE_LIST)))../../header.mk

luabins_OBJ := $(patsubst %.c,%.o,$(sort $(wildcard $(d)src/*.c)))
luabins_CPPFLAGS := $(CFLAGS_LUA)

LIB += luabins

include $(TOP)Makefile.target

=== vendor/luajit/Makefile ===
include $(dir $(lastword $(MAKEFILE_LIST)))../../header.mk

LUAJIT_DIR := $(abspath $(d)src)

$(LIBS_LUA): $(LUAJIT_DIR)/host/minilua
	$(MAKE) -C $(LUAJIT_DIR) amalg V=$(V)

$(LUAJIT_DIR)/host/minilua:
	$(MAKE) -C $(LUAJIT_DIR) host/minilua V=$(V)

clean-luajit:
	$(MAKE) -C $(LUAJIT_DIR) clean

clean: clean-luajit
distclean: clean-luajit

=== vendor/luajit/src/Makefile ===
##############################################################################
# LuaJIT Makefile. Requires GNU Make.
#
# Please read doc/install.html before changing any variables!
#
# Suitable for POSIX platforms (Linux, *BSD, OSX etc.).
# Also works with MinGW and Cygwin on Windows.
# Please check msvcbuild.bat for building with MSVC on Windows.
#
# Copyright (C) 2005-2015 Mike Pall. See Copyright Notice in luajit.h
##############################################################################

MAJVER=  2
MINVER=  0
RELVER=  4
ABIVER=  5.1
NODOTABIVER= 51

##############################################################################
#############################  COMPILER OPTIONS  #############################
##############################################################################
# These options mainly affect the speed of the JIT compiler itself, not the
# speed of the JIT-compiled code. Turn any of the optional settings on by
# removing the '#' in front of them. Make sure you force a full recompile
# with "make clean", followed by "make" if you change any options.
#
# LuaJIT builds as a native 32 or 64 bit binary by default.
CC= gcc
#
# Use this if you want to force a 32 bit build on a 64 bit multilib OS.
#CC= gcc -m32
#
# Since the assembler part does NOT maintain a frame pointer, it's pointless
# to slow down the C part by not omitting it. Debugging, tracebacks and
# unwinding are not affected -- the assembler part has frame unwind
# information and GCC emits it where needed (x64) or with -g (see CCDEBUG).
CCOPT= -O2 -fomit-frame-pointer
# Use this if you want to generate a smaller binary (but it's slower):
#CCOPT= -Os -fomit-frame-pointer
# Note: it's no longer recommended to use -O3 with GCC 4.x.
# The I-Cache bloat usually outweighs the benefits from aggressive inlining.
#
# Target-specific compiler options:
#
# x86 only: it's recommended to compile at least for i686. Better yet,
# compile for an architecture that has SSE2, too (-msse -msse2).
#
# x86/x64 only: For GCC 4.2 or higher and if you don't intend to distribute
# the binaries to a different machine you could also use: -march=native
#
CCOPT_x86= -march=i686
CCOPT_x64=
CCOPT_arm=
CCOPT_ppc=
CCOPT_ppcspe=
CCOPT_mips=
#
#CCDEBUG=
# Uncomment the next line to generate debug information:
CCDEBUG= -g
#
CCWARN= -Wall -Wno-unused-function
# Uncomment the next line to enable more warnings:
#CCWARN+= -Wextra -Wdeclaration-after-statement -Wredundant-decls -Wshadow -Wpointer-arith
#
##############################################################################

##############################################################################
################################  BUILD MODE  ################################
##############################################################################
# The default build mode is mixed mode on POSIX. On Windows this is the same
# as dynamic mode.
#
# Mixed mode creates a static + dynamic library and a statically linked luajit.
#BUILDMODE= mixed
#
# Static mode creates a static library and a statically linked luajit.
BUILDMODE= static
#
# Dynamic mode creates a dynamic library and a dynamically linked luajit.
# Note: this executable will only run when the library is installed!
#BUILDMODE= dynamic
#
##############################################################################

##############################################################################
#################################  FEATURES  #################################
##############################################################################
# Enable/disable these features as needed, but make sure you force a full
# recompile with "make clean", followed by "make".
XCFLAGS=-Igen
#
# Permanently disable the FFI extension to reduce the size of the LuaJIT
# executable. But please consider that the FFI library is compiled-in,
# but NOT loaded by default. It only allocates any memory, if you actually
# make use of it.
#XCFLAGS+= -DLUAJIT_DISABLE_FFI
#
# Features from Lua 5.2 that are unlikely to break existing code are
# enabled by default. Some other features that *might* break some existing
# code (e.g. __pairs or os.execute() return values) can be enabled here.
# Note: this does not provide full compatibility with Lua 5.2 at this time.
XCFLAGS+= -DLUAJIT_ENABLE_LUA52COMPAT
#
# Disable the JIT compiler, i.e. turn LuaJIT into a pure interpreter.
#XCFLAGS+= -DLUAJIT_DISABLE_JIT
#
# Some architectures (e.g. PPC) can use either single-number (1) or
# dual-number (2) mode. Uncomment one of these lines to override the
# default mode. Please see LJ_ARCH_NUMMODE in lj_arch.h for details.
#XCFLAGS+= -DLUAJIT_NUMMODE=1
#XCFLAGS+= -DLUAJIT_NUMMODE=2
#
##############################################################################

##############################################################################
############################  DEBUGGING SUPPORT  #############################
##############################################################################
# Enable these options as needed, but make sure you force a full recompile
# with "make clean", followed by "make".
# Note that most of these are NOT suitable for benchmarking or release mode!
#
# Use the system provided memory allocator (realloc) instead of the
# bundled memory allocator. This is slower, but sometimes helpful for
# debugging. This option cannot be enabled on x64, since realloc usually
# doesn't return addresses in the right address range.
# OTOH this option is mandatory for Valgrind's memcheck tool on x64 and
# the only way to get useful results from it for all other architectures.
#XCFLAGS+= -DLUAJIT_USE_SYSMALLOC
#
# This define is required to run LuaJIT under Valgrind. The Valgrind
# header files must be installed. You should enable debug information, too.
# Use --suppressions=lj.supp to avoid some false positives.
#XCFLAGS+= -DLUAJIT_USE_VALGRIND
#
# This is the client for the GDB JIT API. GDB 7.0 or higher is required
# to make use of it. See lj_gdbjit.c for details. Enabling this causes
# a non-negligible overhead, even when not running under GDB.
#XCFLAGS+= -DLUAJIT_USE_GDBJIT
#
# Turn on assertions for the Lua/C API to debug problems with lua_* calls.
# This is rather slow -- use only while developing C libraries/embeddings.
#XCFLAGS+= -DLUA_USE_APICHECK
#
# Turn on assertions for the whole LuaJIT VM. This significantly slows down
# everything. Use only if you suspect a problem with LuaJIT itself.
#XCFLAGS+= -DLUA_USE_ASSERT
#
##############################################################################
# You probably don't need to change anything below this line!
##############################################################################

##############################################################################
# Flags and options for host and target.
##############################################################################

# You can override the following variables at the make command line:
#   CC       HOST_CC       STATIC_CC       DYNAMIC_CC
#   CFLAGS   HOST_CFLAGS   TARGET_CFLAGS
#   LDFLAGS  HOST_LDFLAGS  TARGET_LDFLAGS  TARGET_SHLDFLAGS
#   LIBS     HOST_LIBS     TARGET_LIBS
#   CROSS    HOST_SYS      TARGET_SYS      TARGET_FLAGS
#
# Cross-compilation examples:
#   make HOST_CC="gcc -m32" CROSS=i586-mingw32msvc- TARGET_SYS=Windows
#   make HOST_CC="gcc -m32" CROSS=powerpc-linux-gnu-

CCOPTIONS= $(CCDEBUG) $(CCOPT) $(CCWARN) $(XCFLAGS) $(CFLAGS)
LDOPTIONS= $(CCDEBUG) $(LDFLAGS)

HOST_CC= $(CC)
HOST_RM= rm -f
# If left blank, minilua is built and used. You can supply an installed
# copy of (plain) Lua 5.1 or 5.2, plus Lua BitOp. E.g. with: HOST_LUA=lua
HOST_LUA=

HOST_XCFLAGS= -I.
HOST_XLDFLAGS=
HOST_XLIBS=
HOST_ACFLAGS= $(CCOPTIONS) $(HOST_XCFLAGS) $(TARGET_ARCH) $(HOST_CFLAGS)
HOST_ALDFLAGS= $(LDOPTIONS) $(HOST_XLDFLAGS) $(HOST_LDFLAGS)
HOST_ALIBS= $(HOST_XLIBS) $(LIBS) $(HOST_LIBS)

STATIC_CC = $(CROSS)$(CC)
DYNAMIC_CC = $(CROSS)$(CC) -fPIC
TARGET_CC= $(STATIC_CC)
TARGET_STCC= $(STATIC_CC)
TARGET_DYNCC= $(DYNAMIC_CC)
TARGET_LD= $(CROSS)$(CC)
TARGET_AR= $(CROSS)ar rcus
TARGET_STRIP= $(CROSS)strip

TARGET_LIBPATH= $(CURDIR)
#TARGET_LIBPATH= $(or $(PREFIX),/usr/local)/$(or $(MULTILIB),lib)
TARGET_SONAME= libluajit-$(ABIVER).so.$(MAJVER)
TARGET_DYLIBNAME= libluajit-aegisub.so
#TARGET_DYLIBNAME= libluajit-$(ABIVER).$(MAJVER).dylib
TARGET_DYLIBPATH= $(TARGET_LIBPATH)/$(TARGET_DYLIBNAME)
TARGET_DLLNAME= lua$(NODOTABIVER).dll
TARGET_XSHLDFLAGS= -shared -fPIC -Wl,-soname,$(TARGET_SONAME)
TARGET_DYNXLDOPTS=

TARGET_LFSFLAGS= -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE
TARGET_XCFLAGS= $(TARGET_LFSFLAGS) -U_FORTIFY_SOURCE
TARGET_XLDFLAGS=
TARGET_XLIBS= -lm
TARGET_TCFLAGS= $(CCOPTIONS) $(TARGET_XCFLAGS) $(TARGET_FLAGS) $(TARGET_CFLAGS)
TARGET_ACFLAGS= $(CCOPTIONS) $(TARGET_XCFLAGS) $(TARGET_FLAGS) $(TARGET_CFLAGS)
TARGET_ALDFLAGS= $(LDOPTIONS) $(TARGET_XLDFLAGS) $(TARGET_FLAGS) $(TARGET_LDFLAGS)
TARGET_ASHLDFLAGS= $(LDOPTIONS) $(TARGET_XSHLDFLAGS) $(TARGET_FLAGS) $(TARGET_SHLDFLAGS)
TARGET_ALIBS= $(TARGET_XLIBS) $(LIBS) $(TARGET_LIBS)

TARGET_TESTARCH=$(shell $(TARGET_CC) $(TARGET_TCFLAGS) -E lj_arch.h -dM)
ifneq (,$(findstring LJ_TARGET_X64 ,$(TARGET_TESTARCH)))
  TARGET_LJARCH= x64
else
ifneq (,$(findstring LJ_TARGET_X86 ,$(TARGET_TESTARCH)))
  TARGET_LJARCH= x86
else
ifneq (,$(findstring LJ_TARGET_ARM ,$(TARGET_TESTARCH)))
  TARGET_LJARCH= arm
else
ifneq (,$(findstring LJ_TARGET_PPC ,$(TARGET_TESTARCH)))
  TARGET_LJARCH= ppc
else
ifneq (,$(findstring LJ_TARGET_PPCSPE ,$(TARGET_TESTARCH)))
  TARGET_LJARCH= ppcspe
else
ifneq (,$(findstring LJ_TARGET_MIPS ,$(TARGET_TESTARCH)))
  ifneq (,$(findstring MIPSEL ,$(TARGET_TESTARCH)))
    TARGET_ARCH= -D__MIPSEL__=1
  endif
  TARGET_LJARCH= mips
else
  $(error Unsupported target architecture)
endif
endif
endif
endif
endif
endif

ifneq (,$(findstring LJ_TARGET_PS3 1,$(TARGET_TESTARCH)))
  TARGET_SYS= PS3
  TARGET_ARCH+= -D__CELLOS_LV2__
  TARGET_XCFLAGS+= -DLUAJIT_USE_SYSMALLOC
endif
ifneq (,$(findstring LJ_NO_UNWIND 1,$(TARGET_TESTARCH)))
  TARGET_ARCH+= -DLUAJIT_NO_UNWIND
endif

TARGET_XCFLAGS+= $(CCOPT_$(TARGET_LJARCH))
TARGET_ARCH+= $(patsubst %,-DLUAJIT_TARGET=LUAJIT_ARCH_%,$(TARGET_LJARCH))

ifneq (,$(PREFIX))
ifneq (/usr/local,$(PREFIX))
  TARGET_XCFLAGS+= -DLUA_ROOT=\"$(PREFIX)\"
  ifneq (/usr,$(PREFIX))
    TARGET_DYNXLDOPTS= -Wl,-rpath,$(TARGET_LIBPATH)
  endif
endif
endif
ifneq (,$(MULTILIB))
  TARGET_XCFLAGS+= -DLUA_MULTILIB=\"$(MULTILIB)\"
endif
ifneq (,$(LMULTILIB))
  TARGET_XCFLAGS+= -DLUA_LMULTILIB=\"$(LMULTILIB)\"
endif

##############################################################################
# System detection.
##############################################################################

ifeq (Windows,$(findstring Windows,$(OS))$(MSYSTEM)$(TERM))
  HOST_SYS= Windows
  HOST_RM= del
else
  HOST_SYS:= $(shell uname -s)
  ifneq (,$(findstring MINGW,$(HOST_SYS)))
    HOST_SYS= Windows
    HOST_MSYS= mingw
  endif
  ifneq (,$(findstring CYGWIN,$(HOST_SYS)))
    HOST_SYS= Windows
    HOST_MSYS= cygwin
  endif
endif

TARGET_SYS?= $(HOST_SYS)
ifeq (Windows,$(TARGET_SYS))
  TARGET_STRIP+= --strip-unneeded
  TARGET_XSHLDFLAGS= -shared
  TARGET_DYNXLDOPTS=
else
ifeq (,$(shell $(TARGET_CC) -o /dev/null -c -x c /dev/null -fno-stack-protector 2>/dev/null || echo 1))
  TARGET_XCFLAGS+= -fno-stack-protector
endif
ifeq (Darwin,$(TARGET_SYS))
  ifeq (,$(MACOSX_DEPLOYMENT_TARGET))
    export MACOSX_DEPLOYMENT_TARGET=10.4
  endif
  TARGET_STRIP+= -x
  TARGET_AR+= 2>/dev/null
  TARGET_XSHLDFLAGS= -dynamiclib -single_module -undefined dynamic_lookup -fPIC
  TARGET_DYNXLDOPTS=
  TARGET_XSHLDFLAGS+= -install_name $(TARGET_DYLIBPATH) -compatibility_version $(MAJVER).$(MINVER) -current_version $(MAJVER).$(MINVER).$(RELVER)
  ifeq (x64,$(TARGET_LJARCH))
    TARGET_XLDFLAGS+= -pagezero_size 10000 -image_base 100000000
    TARGET_XSHLDFLAGS+= -image_base 7fff04c4a000
  endif
else
ifeq (iOS,$(TARGET_SYS))
  TARGET_STRIP+= -x
  TARGET_AR+= 2>/dev/null

=== debian/changelog ===
aegisub-dmo (2:3.2.2~20181123.git2cb92a5f74-dmo4) unstable; urgency=medium

  * Build with boost 1.74

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 12 Dec 2020 10:55:53 +0100

aegisub-dmo (2:3.2.2~20181123.git2cb92a5f74-dmo3) unstable; urgency=medium

  * Build with libicu67 and boost 1.71

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 02 Jun 2020 15:11:37 +0200

aegisub-dmo (2:3.2.2~20181123.git2cb92a5f74-dmo2) unstable; urgency=medium

  * Build with wxWidgets GTK 3

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 07 Aug 2019 14:39:27 +0200

aegisub-dmo (2:3.2.2~20181123.git2cb92a5f74-dmo1) unstable; urgency=medium

  * New git snapshot
  * Build powerpc with internal luajit

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 29 Nov 2018 10:57:41 +0100

aegisub-dmo (2:3.2.2~20180730.git83736b4866-dmo1) unstable; urgency=medium

  * Git snapshot to fix various build issues.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 13 Nov 2018 10:27:02 +0100

aegisub-dmo (2:3.2.2~20180510.git73c5e7a4c2-dmo1) unstable; urgency=medium

  * Git snapshot to fix various build issues.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 11 May 2018 08:51:46 +0200

aegisub-dmo (2:3.2.2~20171223.git8d3ad9ff6-dmo1) unstable; urgency=medium

  * Git snapshot to fix various build issues.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 23 Dec 2017 14:43:50 +0100

aegisub-dmo (1:3.2.2+dfsg-dmo5) unstable; urgency=medium

  * Rebuild against libhunspell-1.6-0

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 21 Jun 2017 19:56:34 +0200

aegisub-dmo (1:3.2.2+dfsg-dmo4) unstable; urgency=medium

  * Rebuild against libass9.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 04 Jan 2017 18:37:45 +0100

aegisub-dmo (1:3.2.2+dfsg-dmo3) unstable; urgency=medium

  * Rebuild against boost 1.62

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 02 Nov 2016 18:44:29 +0100

aegisub-dmo (1:3.2.2+dfsg-dmo2) unstable; urgency=medium

  * Rebuild against libicu57 and boost 1.61

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 08 Aug 2016 11:28:33 +0200

aegisub-dmo (1:3.2.2+dfsg-dmo1) unstable; urgency=medium

  * Rebuild against libhunspell-1.4-0
  * Remove vendor directory from orig tarball.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 17 May 2016 13:22:31 +0200

aegisub-dmo (3.2.2-dmo3) unstable; urgency=medium

  * Rebuild with gcc-5

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 09 Aug 2015 17:02:23 +0200

aegisub-dmo (3.2.2-dmo2) unstable; urgency=medium

  * Rebuild against libffms2-4

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 17 May 2015 13:20:15 +0200

aegisub-dmo (3.2.2-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 08 Dec 2014 08:08:25 +0100

aegisub-dmo (3.2.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 15 Sep 2014 16:13:33 +0200

aegisub-dmo (3.2.0-dmo3) unstable; urgency=medium

  * Need to Build-Depends on libavresample-dev to enable libffms2 support
    (Thanks to Urban Wallasch for the bug report).

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 04 Aug 2014 20:32:41 +0200

aegisub-dmo (3.2.0-dmo2) unstable; urgency=medium

  * Add -lpthread to linker to fix kfreebsd FTBFS.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 29 Jul 2014 11:41:36 +0200

aegisub-dmo (3.2.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 29 Jul 2014 09:13:29 +0200

aegisub-dmo (3.1.3-dmo3) unstable; urgency=medium

  * Build with --disable-update-checker

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 17 Jul 2014 18:57:43 +0200

aegisub-dmo (3.1.3-dmo2) unstable; urgency=medium

  * Fix FTBFS for kfreebsd-* arches.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 17 Jul 2014 15:39:52 +0200

aegisub-dmo (3.1.3-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 06 Jul 2014 17:51:19 +0200

aegisub (3.1.2-1) unstable; urgency=low

  * New upstream release
  * Import updated watch file from Bart Martens
  * Bump ffms2 build dependency to 2.19 to fix audio problems and
    have correct binary dependencies (Closes: #731143, #730416)
  * Remove patches, which were imported from upstream git

 -- Sebastian Reichel <sre@debian.org>  Thu, 13 Feb 2014 02:58:17 +0100

aegisub (3.0.4-2) unstable; urgency=low

  * Cherry-pick new upstream patch, which fixes the menu bar
  * Use canonical Vcs URLs

 -- Sebastian Reichel <sre@debian.org>  Fri, 22 Nov 2013 13:08:28 +0100

aegisub (3.0.4-1) unstable; urgency=low

  * New upstream release (Closes: #691384, #713679, #721189)
  * Use dh-autoreconf (Closes: #727313)
  * Update patches
  * Add new patch for wxWidgets 3.0 support
  * Update Debian Standards Version: 3.9.3 -> 3.9.5
  * Update Compat level: 8 -> 9
  * Build -dbg package
  * Update manpage

 -- Sebastian Reichel <sre@debian.org>  Thu, 14 Nov 2013 16:49:59 +0000

aegisub (2.1.9-1) unstable; urgency=low

  * Initial Debian release (Closes: #580594)

 -- Sebastian Reichel <sre@debian.org>  Fri, 16 Mar 2012 22:58:00 +0100

=== debian/control ===
Source: aegisub-dmo
Section: video
Priority: optional
Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Bugs: mailto:marillat@deb-multimedia.org
Homepage: http://www.aegisub.org/
Standards-Version: 4.5.1
Build-Conflicts: liboss4-salsa-dev
Build-Depends: debhelper-compat (= 13), intltool, libasound2-dev [linux-any], quilt,
 libass-dev, libboost-dev, libboost-filesystem-dev, libboost-thread-dev,
 libboost-regex-dev, libboost-system-dev, libffms2-dev (>= 2.21), libfftw3-dev,
 libfontconfig1-dev, libfreetype-dev, libgl-dev, libglu1-mesa-dev, libavresample-dev,
 libhunspell-dev (>= 1.7.0~), libicu-dev (>= 57.1~), libpulse-dev, liblua5.1-0-dev,
 libwxgtk3.0-gtk3-dev (>= 3.0.2+dfsg-1.2), libboost-locale-dev,
 libboost-chrono-dev, libluajit-5.1-dev [!powerpc], lua5.1

Package: aegisub
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: aegisub-l10n
Description: Advanced subtitle editor
 Originally created as tool to make typesetting, particularly in anime
 fansubs, a less painful experience, Aegisub has grown into a fully fledged,
 highly customizable subtitle editor.
 .
 It features a lot of convenient tools to help you with timing, typesetting,
 editing and translating subtitles, as well as a powerful scripting
 environment called Automation (originally mostly intended for creating
 karaoke effects, Automation can now be used much else, including creating
 macros and various other convenient tools).

Package: aegisub-l10n
Section: localization
Architecture: all
Depends: ${misc:Depends}, aegisub (>= ${source:Version}), aegisub (<< ${source:Version}.1~)
Description: Aegisub language packages
 Originally created as tool to make typesetting, particularly in anime
 fansubs, a less painful experience, Aegisub has grown into a fully fledged,
 highly customizable subtitle editor.
 .
 It features a lot of convenient tools to help you with timing, typesetting,
 editing and translating subtitles, as well as a powerful scripting
 environment called Automation (originally mostly intended for creating
 karaoke effects, Automation can now be used much else, including creating
 macros and various other convenient tools).
 .
 This package contains language packages for the following languages: ca,
 cs, da, de, el, es, fa, fi, fr, hu, id, it, ja, ko, pl, pt_BR, pt_PT, ru,
 sr_RS, vi, zh_CN, zh_TW

=== debian/rules ===
#!/usr/bin/make -f

ifeq ($(DEB_HOST_ARCH_OS),kfreebsd)
	confflags += --without-alsa
endif

CFLAGS := $(CFLAGS:-g=-g0)
CXXFLAGS := $(CXXFLAGS:-g=-g0)

#export DEB_LDFLAGS_STRIP = -Wl,-z,relro

%:
	dh $@ --with quilt

override_dh_auto_configure:
	dh_auto_configure -- \
	--with-boost-libdir=/usr/lib/${DEB_HOST_MULTIARCH} \
	--disable-update-checker --disable-compiler-flags $(confflags)

#	exit 1

override_dh_auto_install:
	dh_auto_install
	find debian/tmp/usr/share -type f -exec chmod a-x '{}' ';'

override_dh_auto_clean:
	cp debian/git_version.h.backup build/git_version.h
	-dh_auto_clean

override_dh_clean:
	dh_clean packages/desktop/aegisub.desktop.template \
	desktop/aegisub.desktop.template po/*.mo \
	src/libresrc/bitmap.cpp src/libresrc/bitmap.h \
	src/libresrc/default_config.cpp src/libresrc/default_config.h \
	tools/osx-bundle.sed automation/aegisub-lua tools/repack-thes-dict \
	src/aegisub-3.2 Makefile.inc acconf.h config.log config.status \
	packages/desktop/aegisub.desktop src/aegisub \
	src/libresrc/default_config_platform.json

	find -name *.o | xargs -r rm 
	find -name *.d | xargs -r rm
	find -name *.a | xargs -r rm
	find -name *.gch | xargs -r rm

	-rm -rf vendor/boost vendor/csri vendor/ffmpeg vendor/ffms2 \
	vendor/fftw vendor/freetype2 vendor/googletest vendor/hunspell \
	vendor/iconv vendor/icu vendor/libass vendor/uchardet \
	vendor/wxWidgets

#override_dh_installdocs:
#	dh_installdocs --link-doc=aegisub

override_dh_auto_test:

=== debian/watch ===
version=4

opts="dversionmangle=s/~20181123.git2cb92a5f74//" \
http://ftp.aegisub.org/pub/releases/ \
aegisub-(.*)\.tar\.xz
